package com.xinelu.manage.domain.scriptinfoedge;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 话术信息分支对象 script_info_edge
 *
 * @author xinelu
 * @date 2024-06-12
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "话术信息分支对象", description = "script_info_edge")
public class ScriptInfoEdge extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 话术信息表id
     */
    @ApiModelProperty(value = "话术信息表id")
    @Excel(name = "话术信息表id")
    private Long scriptInfoId;

    /**
     * 分支名称
     */
    @ApiModelProperty(value = "分支名称")
    @Excel(name = "分支名称")
    private String scriptEdgeName;

    /**
     * 开始节点id
     */
    @ApiModelProperty(value = "开始节点id")
    @Excel(name = "开始节点id")
    private Long startNodeId;

    /**
     * 开始节点名称
     */
    @ApiModelProperty(value = "开始节点名称")
    @Excel(name = "开始节点名称")
    private String startNodeName;

    /**
     * 结束节点id
     */
    @ApiModelProperty(value = "结束节点id")
    @Excel(name = "结束节点id")
    private Long endNodeId;

    /**
     * 结束节点名称
     */
    @ApiModelProperty(value = "结束节点名称")
    @Excel(name = "结束节点名称")
    private String endNodeName;

    /**
     * 条件
     */
    @ApiModelProperty(value = "条件")
    @Excel(name = "条件")
    private String condition;

    /**
     * 回答关键词，多个用逗号隔开
     */
    @ApiModelProperty(value = "回答关键词，多个用逗号隔开")
    @Excel(name = "回答关键词，多个用逗号隔开")
    private String keywords;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("scriptInfoId", getScriptInfoId())
                .append("scriptEdgeName", getScriptEdgeName())
                .append("startNodeId", getStartNodeId())
                .append("startNodeName", getStartNodeName())
                .append("endNodeId", getEndNodeId())
                .append("endNodeName", getEndNodeName())
                .append("condition", getCondition())
                .append("keywords", getKeywords())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
